#include "schieberegister.h"



void sr_put(unsigned int data)
{
	unsigned char cnt;
	PORTD &= ~(1<<STROBE);

	for(cnt=0; cnt<16; cnt++)
	{
		if(((data & (1<<(15-cnt)))>>(15-cnt)) == 1) 
			PORTD |= (1<<DATA);
		else
			PORTD &= ~(1<<DATA);

		PORTD |= (1<<CLK);
		_delay_us(1);
		PORTD &= ~(1<<CLK);
		_delay_us(1);
	}
		
	PORTD |= (1<<STROBE);
}



void Init_SR(void)
{
	DDRD |= (1<<STROBE) | (1<<DATA) | (1<<CLK);
	sr_put(0x0000);
}
